/******************************************************
* DS4 Clone-Restore
*
* DS4 Laser Technology srl
*
* author: Carsana Francesco <francescocarsana@ds4.it>
*******************************************************/


#include "createsettings.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char description[] =
    I18N_NOOP("A KDE KPart Application");

static const char version[] = "0.1";

static KCmdLineOptions options[] =
{
//    { "+[URL]", I18N_NOOP( "Document to open" ), 0 },
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
    KAboutData about("createsettings", I18N_NOOP("createSettings"), version, description,
                     KAboutData::License_Custom, "(C) 2006 Francesco Carsana", 0, 0, "francescocarsana@ds4.it");
    about.addAuthor( "Francesco Carsana", 0, "francescocarsana@ds4.it" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;
    createSettings *mainWin = 0;

    if (app.isRestored())
    {
        RESTORE(createSettings);
    }
    else
    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

        /// @todo do something with the command line args here

        mainWin = new createSettings();
        app.setMainWidget( mainWin );
        mainWin->show();

        args->clear();
    }

    // mainWin has WDestructiveClose flag by default, so it will delete itself.
    return app.exec();
}

